Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 56435 - rxvt renders 'make menuconfig' output differently from xtem
rxvt renders 'make menuconfig' output differently from xtem
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rxvt (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-18 04:26 EST by Yusuf Goolamabbas
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-13 10:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rxvt rendering 'make menuconfig (27.66 KB, image/png)
2001-11-18 04:27 EST, Yusuf Goolamabbas
no flags Details
mutt threaded view of mailbox in an rxvt window (32.29 KB, image/png)
2001-11-18 04:28 EST, Yusuf Goolamabbas
no flags Details
'make menuconfig' in an xterm window (23.76 KB, image/png)
2001-11-18 04:30 EST, Yusuf Goolamabbas
no flags Details
mutt showing threaded view of mailbox in xterm window (30.37 KB, image/png)
2001-11-18 04:31 EST, Yusuf Goolamabbas
no flags Details
make menuconfig (11.77 KB, image/png)
2001-12-13 10:26 EST, Harald Hoyer
no flags Details
mutt in rxvt (20.86 KB, image/png)
2001-12-13 10:27 EST, Harald Hoyer
no flags Details

  None (edit)
Description Yusuf Goolamabbas 2001-11-18 04:26:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
I have been using rxvt in RH 7.0 and 7.1 and have found no difference
in the output of 'make menuconfig' compared to that of xterm. However, when
I upgraded to RH 7.2, the screen looks very different (characters > ASCII
127 not rendering correctly)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Launch rxvt
2. su to root
3. cd to directory containing source of Linux kernel
4. Type 'make menuconfig'
5. Observe screen 
6. Do the above steps 2-5 in an xterm window
	

Actual Results:  This is best described with a screen dump. I'll provide
screenshots of 
a) make menuconfig
b) mutt showing a threaded view of enigma-list

Additional info:

Graphics card: Matrox G450 with a ComeMon CP151 LCD screen

Relevant lines from $HOME/.Xdefaults
xterm*font:     lucidasanstypewriter-18
xterm*background:       #fff7e9
xterm*foreground:       Black
rxvt*font:      lucidasanstypewriter-18
rxvt*background:        #fff7e9
rxvt*foreground:        Black
rxvt*termName:  xterm
!# Scrolling on wheel mouse: half a page normally, line per line with shift
XTerm.vt100.translations: #override\n\
 Shift<Btn4Down>,<Btn4Up>:scroll-back(1,line)\n\
 Shift<Btn5Down>,<Btn5Up>:scroll-forw(1,line)\n\
 Ctrl<Btn4Down>,<Btn4Up>:scroll-back(1,page)\n\
 Ctrl<Btn5Down>,<Btn5Up>:scroll-forw(1,page)\n\
 <Btn4Down>,<Btn4Up>:scroll-back(1,halfpage)\n\
 <Btn5Down>,<Btn5Up>:scroll-forw(1,halfpa
Comment 1 Yusuf Goolamabbas 2001-11-18 04:27:36 EST
Created attachment 37863 [details]
rxvt rendering 'make menuconfig
Comment 2 Yusuf Goolamabbas 2001-11-18 04:28:57 EST
Created attachment 37864 [details]
mutt threaded view of mailbox in an rxvt window
Comment 3 Yusuf Goolamabbas 2001-11-18 04:30:25 EST
Created attachment 37865 [details]
'make menuconfig' in an xterm window
Comment 4 Yusuf Goolamabbas 2001-11-18 04:31:28 EST
Created attachment 37866 [details]
mutt showing threaded view of mailbox in xterm window
Comment 5 Harald Hoyer 2001-12-13 10:26:08 EST
Created attachment 40489 [details]
make menuconfig
Comment 6 Harald Hoyer 2001-12-13 10:27:02 EST
Created attachment 40490 [details]
mutt in rxvt
Comment 7 Harald Hoyer 2001-12-13 10:29:09 EST
worksforme ... see upper attachements..
[root@faro root]# rpm -q rxvt
rxvt-2.7.6-5
[root@faro root]# rpm -q termcap
termcap-11.0.1-10
[root@faro root]# rpm -q ncurses
ncurses-5.2-12
[root@faro root]# echo $TERM
xterm


Note You need to log in before you can comment on or make changes to this bug.